# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

if fgrep /usr/lib64/tqt3/lib etc/ld.so.conf 1> /dev/null 2> /dev/null ; then
   true
else
   echo "/usr/lib64/tqt3/lib" >> etc/ld.so.conf
fi
if [ -x /sbin/ldconfig ]; then
   /sbin/ldconfig 2> /dev/null
fi


( cd usr/lib64/tqt3/mkspecs ; rm -rf default )
( cd usr/lib64/tqt3/mkspecs ; ln -sf linux-g++ default )
( cd usr/lib64/tqt3/lib ; rm -rf libtqt-mt.so )
( cd usr/lib64/tqt3/lib ; ln -sf libtqt-mt.so.3.5.0 libtqt-mt.so )
( cd usr/lib64/tqt3/lib ; rm -rf libtqt-mt.so.3 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqt-mt.so.3.5.0 libtqt-mt.so.3 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqt-mt.so.3.5 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqt-mt.so.3.5.0 libtqt-mt.so.3.5 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqassistantclient.so )
( cd usr/lib64/tqt3/lib ; ln -sf libtqassistantclient.so.1.0.0 libtqassistantclient.so )
( cd usr/lib64/tqt3/lib ; rm -rf libtqassistantclient.so.1 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqassistantclient.so.1.0.0 libtqassistantclient.so.1 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqassistantclient.so.1.0 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqassistantclient.so.1.0.0 libtqassistantclient.so.1.0 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqui.so )
( cd usr/lib64/tqt3/lib ; ln -sf libtqui.so.1.0.0 libtqui.so )
( cd usr/lib64/tqt3/lib ; rm -rf libtqui.so.1 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqui.so.1.0.0 libtqui.so.1 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqui.so.1.0 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqui.so.1.0.0 libtqui.so.1.0 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqtdesignercore.so )
( cd usr/lib64/tqt3/lib ; ln -sf libtqtdesignercore.so.1.0.0 libtqtdesignercore.so )
( cd usr/lib64/tqt3/lib ; rm -rf libtqtdesignercore.so.1 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqtdesignercore.so.1.0.0 libtqtdesignercore.so.1 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqtdesignercore.so.1.0 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqtdesignercore.so.1.0.0 libtqtdesignercore.so.1.0 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqteditor.so )
( cd usr/lib64/tqt3/lib ; ln -sf libtqteditor.so.1.0.0 libtqteditor.so )
( cd usr/lib64/tqt3/lib ; rm -rf libtqteditor.so.1 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqteditor.so.1.0.0 libtqteditor.so.1 )
( cd usr/lib64/tqt3/lib ; rm -rf libtqteditor.so.1.0 )
( cd usr/lib64/tqt3/lib ; ln -sf libtqteditor.so.1.0.0 libtqteditor.so.1.0 )
( cd usr/lib64 ; rm -rf libtqassistantclient.so )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqassistantclient.so libtqassistantclient.so )
( cd usr/lib64 ; rm -rf libtqassistantclient.so.1 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqassistantclient.so.1 libtqassistantclient.so.1 )
( cd usr/lib64 ; rm -rf libtqassistantclient.so.1.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqassistantclient.so.1.0 libtqassistantclient.so.1.0 )
( cd usr/lib64 ; rm -rf libtqassistantclient.so.1.0.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqassistantclient.so.1.0.0 libtqassistantclient.so.1.0.0 )
( cd usr/lib64 ; rm -rf libtqt-mt.so )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqt-mt.so libtqt-mt.so )
( cd usr/lib64 ; rm -rf libtqt-mt.so.3 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqt-mt.so.3 libtqt-mt.so.3 )
( cd usr/lib64 ; rm -rf libtqt-mt.so.3.5 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqt-mt.so.3.5 libtqt-mt.so.3.5 )
( cd usr/lib64 ; rm -rf libtqt-mt.so.3.5.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqt-mt.so.3.5.0 libtqt-mt.so.3.5.0 )
( cd usr/lib64 ; rm -rf libtqtdesignercore.so )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqtdesignercore.so libtqtdesignercore.so )
( cd usr/lib64 ; rm -rf libtqtdesignercore.so.1 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqtdesignercore.so.1 libtqtdesignercore.so.1 )
( cd usr/lib64 ; rm -rf libtqtdesignercore.so.1.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqtdesignercore.so.1.0 libtqtdesignercore.so.1.0 )
( cd usr/lib64 ; rm -rf libtqtdesignercore.so.1.0.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqtdesignercore.so.1.0.0 libtqtdesignercore.so.1.0.0 )
( cd usr/lib64 ; rm -rf libtqteditor.so )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqteditor.so libtqteditor.so )
( cd usr/lib64 ; rm -rf libtqteditor.so.1 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqteditor.so.1 libtqteditor.so.1 )
( cd usr/lib64 ; rm -rf libtqteditor.so.1.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqteditor.so.1.0 libtqteditor.so.1.0 )
( cd usr/lib64 ; rm -rf libtqteditor.so.1.0.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqteditor.so.1.0.0 libtqteditor.so.1.0.0 )
( cd usr/lib64 ; rm -rf libtqui.so )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqui.so libtqui.so )
( cd usr/lib64 ; rm -rf libtqui.so.1 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqui.so.1 libtqui.so.1 )
( cd usr/lib64 ; rm -rf libtqui.so.1.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqui.so.1.0 libtqui.so.1.0 )
( cd usr/lib64 ; rm -rf libtqui.so.1.0.0 )
( cd usr/lib64 ; ln -sf tqt3/lib/libtqui.so.1.0.0 libtqui.so.1.0.0 )
( cd usr/lib64/pkgconfig ; rm -rf tqt-mt.pc )
( cd usr/lib64/pkgconfig ; ln -sf /usr/lib64/tqt3/lib/pkgconfig/tqt-mt.pc tqt-mt.pc )
( cd usr/bin ; rm -rf tqassistant )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqassistant tqassistant )
( cd usr/bin ; rm -rf tqdesigner )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqdesigner tqdesigner )
( cd usr/bin ; rm -rf tqlinguist )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqlinguist tqlinguist )
( cd usr/bin ; rm -rf tqlrelease )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqlrelease tqlrelease )
( cd usr/bin ; rm -rf tqlupdate )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqlupdate tqlupdate )
( cd usr/bin ; rm -rf tqmoc )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqmoc tqmoc )
( cd usr/bin ; rm -rf tqm2ts )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqm2ts tqm2ts )
( cd usr/bin ; rm -rf tqmake )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqmake tqmake )
( cd usr/bin ; rm -rf tqtconfig )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tqtconfig tqtconfig )
( cd usr/bin ; rm -rf tquic )
( cd usr/bin ; ln -sf /usr/lib64/tqt3/bin/tquic tquic )
( cd usr/include ; rm -rf qt3 )
( cd usr/include ; ln -sf /usr/lib64/tqt3/include qt3 )
